This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 743265 - Cannot open {a BRL rule created in BRMS 5.0} in BRMS 5.2 -- Guided editor is not backward compatible
Cannot open {a BRL rule created in BRMS 5.0} in BRMS 5.2 -- Guided editor is ...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.2.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: manstis
Jiri Locker
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 08:45 EDT by Jiri Locker
Modified: 2011-10-07 09:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
repository_502_broken.xml (20.68 KB, application/xml)
2011-10-04 08:48 EDT, Jiri Locker
no flags Details
repository_502_fixed.xml (20.79 KB, application/xml)
2011-10-04 08:48 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2011-10-04 08:45:36 EDT
Description of problem:
I have created a simple rule that uses 'multiple' field constraints using Guided editor in BRMS 5.0.2. The important rule source snippet from the WHEN section looks like

> Person( age < 0 || > "127" )

I have exported the repository (see attachments). When I import the repository in BRMS 5.1 or BRMS 5.2.0 up to ER4, I can open the rule with no problem.

In BRMS 5.2.0 ER5, after importing the 5.0.2 repository, this rule cannot be open. 'Loading asset...' message flashes for a bit but nothing else happens. The rule doesn't open, no error message in server log.

I have compared exported XMLs of the broken repository and a working repository both of which contained the same rule and found out there is a change in the internal BRL source of the rule. This change seems to affect rules with multiple field constraints. See (and diff) attached repository exports for the difference in the BRL rule source.

Version-Release number of selected component (if applicable):
BRMS 5.2.0 ER5

How reproducible:
always

Steps to Reproduce:
1. import broken 5.0.2 repository into BRMS 5.2.0 ER5
2. try opening 'brokenRule', nothing happens
  
Actual results:
the affected rules cannot be open

Expected results:
the affected rules should open
Comment 1 Jiri Locker 2011-10-04 08:48:04 EDT
Created attachment 526240 [details]
repository_502_broken.xml
Comment 2 Jiri Locker 2011-10-04 08:48:46 EDT
Created attachment 526241 [details]
repository_502_fixed.xml
Comment 3 manstis 2011-10-04 16:49:03 EDT
This regression was caused by the recent changes to improve nested accessors (https://bugzilla.redhat.com/show_bug.cgi?id=724639). The fix was to ensure fields required by the improved nested accessor handling are populated in legacy models (i.e. stored in legacy repositories).
Comment 4 Jiri Locker 2011-10-07 09:50:36 EDT
Fix verified.

Note You need to log in before you can comment on or make changes to this bug.